package com.rjconsultores.ventaboletos.web.utilerias.menu.item.relatorio.bpe;

import java.util.Map;

import org.zkoss.util.resource.Labels;

import com.rjconsultores.ventaboletos.web.utilerias.PantallaUtileria;
import com.rjconsultores.ventaboletos.web.utilerias.menu.DefaultItemMenuSistema;

public class ItemMenuBpeFinanceiro extends DefaultItemMenuSistema {

	public ItemMenuBpeFinanceiro() {
		super("indexController.mnSubMenuBpeFiscal.financeiro.label");
	}

	@Override
	public String getClaveMenu() {
		return "COM.RJCONSULTORES.ADMINISTRACION.GUI.RELATORIOS.BPE.FINANCIERO";
	}

	@Override
	public void ejecutar() {

		Map map = getArgs();
		map.put("isRelatorioFinanceiroBpe", Boolean.TRUE);

		PantallaUtileria.openWindow("/gui/impressaofiscal/busquedaRelatorioFinanceiro.zul",
				Labels.getLabel("indexController.mnSubMenuBpeFiscal.financeiro.label"), map, desktop);
	}

}
